Skip to main content
GET
/
resource-planner
/
assignments
Get All Assignments
curl --request GET \
  --url https://api.everhour.com/resource-planner/assignments \
  --header 'X-Api-Key: <api-key>'
import requests

url = "https://api.everhour.com/resource-planner/assignments"

headers = {"X-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};

fetch('https://api.everhour.com/resource-planner/assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "days": 10,
    "endDate": "2019-02-01",
    "id": 41827,
    "project": "as:981141080110246",
    "startDate": "2019-01-21",
    "time": 252000,
    "type": "project",
    "user": 79786
  }
]

Authorizations

X-Api-Key
string
header
required

Query Parameters

type
enum<string>

Filter by Assignment Type

Available options:
time-off,
assignment
Example:

"time-off"

project
string

Filter by Project ID

Example:

"ev:3456780034"

task
string

Filter by Task ID

Example:

"ev:1123000456"

client
number

Filter by Client ID

Example:

1408

from
string

Get Assignments Starting From

Example:

"2020-11-19"

to
string

Get Assignments Ending At

Example:

"2020-11-30"

allowRemovedUsers
boolean

Include assignments of users removed from the team.

Example:

false

Response

OK

days
number

Number of workdays

Example:

10

endDate
string
Example:

"2019-02-01"

id
number
Example:

41827

project
string
Example:

"as:981141080110246"

startDate
string
Example:

"2019-01-21"

time
number

Scheduled time in seconds

Example:

252000

type
enum<string>
Available options:
project,
time-off
Example:

"project"

user
number
Example:

79786